<?php if (!defined('ABSPATH')) exit; // Exit if accessed directly ?>
<div id="bookme-pro-tbs" class="wrap">
    <div class="bookme-pro-tbs-body">
        <?php \BookmePro\Lib\Utils\Common::pageHeader(esc_html__('Custom Fields', 'bookme_pro')); ?>
        <div class="panel panel-default bookme-pro-main">
            <div class="panel-body">
                <div class="row">
                    <div class="col-md-5">
                        <?php \BookmePro\Lib\Utils\Common::optionToggle('bookme_pro_custom_fields_per_service', esc_html__('Bind fields to services', 'bookme_pro'), esc_html__('When this setting is enabled you will be able to create service specific custom fields.', 'bookme_pro')) ?>
                    </div>
                    <div class="col-md-5 bookme-pro-services-holder" style="display: none">
                        <?php \BookmePro\Lib\Utils\Common::optionToggle('bookme_pro_custom_fields_merge_repetitive', esc_html__('Merge repetitive custom fields for multiple bookings of the service', 'bookme_pro'), esc_html__('If enabled, customers will see custom fields for unique appointments while booking multiple instances of the service. Repetitive custom fields are merged (collapsed) into one field. If disabled, customers will see custom fields for each appointment in the set of bookings.', 'bookme_pro')) ?>
                    </div>
                </div>

                <hr/>
                <div class="row">
                    <div class="col-md-1" id="bookme-pro-js-add-fields">
                        <button class="btn btn-default bookme-pro-margin-bottom-sm" data-type="text-field"><i
                                    class="glyphicon glyphicon-plus"></i> <?php esc_html_e('Text Field', 'bookme_pro') ?></button>
                        <button class="btn btn-default bookme-pro-margin-bottom-sm" data-type="textarea"><i
                                    class="glyphicon glyphicon-plus"></i> <?php esc_html_e('Text Area', 'bookme_pro') ?></button>
                        <button class="btn btn-default bookme-pro-margin-bottom-sm" data-type="text-content"><i
                                    class="glyphicon glyphicon-plus"></i> <?php esc_html_e('Text Content', 'bookme_pro') ?></button>
                        <button class="btn btn-default bookme-pro-margin-bottom-sm" data-type="checkboxes"><i
                                    class="glyphicon glyphicon-plus"></i> <?php esc_html_e('Checkbox Group', 'bookme_pro') ?>
                        </button>
                        <button class="btn btn-default bookme-pro-margin-bottom-sm" data-type="radio-buttons"><i
                                    class="glyphicon glyphicon-plus"></i> <?php esc_html_e('Radio Button Group', 'bookme_pro') ?>
                        </button>
                        <button class="btn btn-default bookme-pro-margin-bottom-sm" data-type="drop-down"><i
                                    class="glyphicon glyphicon-plus"></i> <?php esc_html_e('Drop Down', 'bookme_pro') ?></button>
                        <button class="btn btn-default bookme-pro-margin-bottom-sm" data-type="captcha"><i
                                    class="glyphicon glyphicon-plus"></i> <?php esc_html_e('Captcha', 'bookme_pro') ?></button>
                    </div>
                    <div class="col-md-9">
                        <div class="tse-scrollable">
                            <div class="tse-content">
                                <ul id="bookme-pro-custom-fields"></ul>
                            </div>
                        </div>
                    </div>
                </div>

                <p class="help-block"><?php esc_html_e('HTML allowed in all texts and labels.', 'bookme_pro') ?></p>

                <ul id="bookme-pro-templates" style="display:none">

                    <li data-type="textarea">
                        <div class="bookme-pro-flexbox">
                            <div class="bookme-pro-flex-cell">
                                <i title="<?php esc_attr_e('Reorder', 'bookme_pro') ?>"
                                   class="bookme-pro-js-handle bookme-pro-icon bookme-pro-icon-draghandle bookme-pro-margin-right-sm bookme-pro-cursor-move"></i>
                            </div>
                            <div class="bookme-pro-flex-cell" style="width: 100%">
                                <p><b><?php esc_html_e('Text Area', 'bookme_pro') ?></b><a
                                            class="bookme-pro-js-delete glyphicon glyphicon-trash text-danger bookme-pro-margin-left-sm"
                                            href="#"
                                            title="<?php esc_attr_e('Remove field', 'bookme_pro') ?>"></a></p>
                                <div class="row">
                                    <div class="col-md-8">
                                        <div class="input-group">
                                            <input class="bookme-pro-label form-control" type="text" value=""
                                                   placeholder="<?php esc_attr_e('Enter a label', 'bookme_pro') ?>">
                                            <label class="input-group-addon">
                                                <input class="bookme-pro-required" type="checkbox">
                                                <span class="hidden-xs"><?php esc_html_e('Required field', 'bookme_pro') ?></span>
                                                <i class="visible-xs-inline-block glyphicon glyphicon-warning"></i>
                                            </label>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <?php echo $services_html ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <hr>
                    </li>

                    <li data-type="text-content">
                        <div class="bookme-pro-flexbox">
                            <div class="bookme-pro-flex-cell">
                                <i title="<?php esc_attr_e('Reorder', 'bookme_pro') ?>"
                                   class="bookme-pro-js-handle bookme-pro-icon bookme-pro-icon-draghandle bookme-pro-margin-right-sm bookme-pro-cursor-move"></i>
                            </div>
                            <div class="bookme-pro-flex-cell" style="width: 100%">
                                <p><b><?php esc_html_e('Text Content', 'bookme_pro') ?></b><a
                                            class="bookme-pro-js-delete glyphicon glyphicon-trash text-danger bookme-pro-margin-left-sm"
                                            href="#"
                                            title="<?php esc_attr_e('Remove field', 'bookme_pro') ?>"></a></p>
                                <div class="row">
                                    <div class="col-md-8">
                                        <textarea class="bookme-pro-label form-control" type="text" rows="3"
                                                  placeholder="<?php esc_attr_e('Enter a content', 'bookme_pro') ?>"></textarea>
                                        <input class="bookme-pro-required hidden" type="checkbox" disabled="disabled">
                                    </div>
                                    <div class="col-md-4">
                                        <?php echo $services_html ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <hr>
                    </li>

                    <li data-type="text-field">
                        <div class="bookme-pro-flexbox">
                            <div class="bookme-pro-flex-cell">
                                <i title="<?php esc_attr_e('Reorder', 'bookme_pro') ?>"
                                   class="bookme-pro-js-handle bookme-pro-icon bookme-pro-icon-draghandle bookme-pro-margin-right-sm bookme-pro-cursor-move"></i>
                            </div>
                            <div class="bookme-pro-flex-cell" style="width: 100%">
                                <p><b><?php esc_html_e('Text Field', 'bookme_pro') ?></b><a
                                            class="bookme-pro-js-delete glyphicon glyphicon-trash text-danger bookme-pro-margin-left-sm"
                                            href="#"
                                            title="<?php esc_attr_e('Remove field', 'bookme_pro') ?>"></a></p>
                                <div class="row">
                                    <div class="col-md-8">
                                        <div class="input-group">
                                            <input class="bookme-pro-label form-control" type="text" value=""
                                                   placeholder="<?php esc_attr_e('Enter a label', 'bookme_pro') ?>">
                                            <label class="input-group-addon">
                                                <input class="bookme-pro-required" type="checkbox">
                                                <span class="hidden-xs"><?php esc_html_e('Required field', 'bookme_pro') ?></span>
                                                <i class="visible-xs-inline-block glyphicon glyphicon-warning"></i>
                                            </label>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <?php echo $services_html ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <hr>
                    </li>

                    <li data-type="checkboxes">
                        <div class="bookme-pro-flexbox">
                            <div class="bookme-pro-flex-cell">
                                <i title="<?php esc_attr_e('Reorder', 'bookme_pro') ?>"
                                   class="bookme-pro-js-handle bookme-pro-icon bookme-pro-icon-draghandle bookme-pro-margin-right-sm bookme-pro-cursor-move"></i>
                            </div>
                            <div class="bookme-pro-flex-cell" style="width: 100%">
                                <p><b><?php esc_html_e('Checkbox Group', 'bookme_pro') ?></b><a
                                            class="bookme-pro-js-delete glyphicon glyphicon-trash text-danger bookme-pro-margin-left-sm"
                                            href="#"
                                            title="<?php esc_attr_e('Remove field', 'bookme_pro') ?>"></a></p>
                                <div class="row">
                                    <div class="col-md-8">
                                        <div class="input-group">
                                            <input class="bookme-pro-label form-control" type="text" value=""
                                                   placeholder="<?php esc_attr_e('Enter a label', 'bookme_pro') ?>">
                                            <label class="input-group-addon">
                                                <input class="bookme-pro-required" type="checkbox">
                                                <span class="hidden-xs"><?php esc_html_e('Required field', 'bookme_pro') ?></span>
                                                <i class="visible-xs-inline-block glyphicon glyphicon-warning"></i>
                                            </label>
                                        </div>

                                        <ul class="bookme-pro-items bookme-pro-margin-top-sm"></ul>
                                        <button class="btn btn-sm btn-default bookme-pro-cf-item" data-type="checkboxes-item">
                                            <i class="glyphicon glyphicon-plus"></i> <?php esc_html_e('Checkbox', 'bookme_pro') ?>
                                        </button>
                                    </div>
                                    <div class="col-md-4">
                                        <?php echo $services_html ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <hr>
                    </li>

                    <li data-type="radio-buttons">
                        <div class="bookme-pro-flexbox">
                            <div class="bookme-pro-flex-cell">
                                <i title="<?php esc_attr_e('Reorder', 'bookme_pro') ?>"
                                   class="bookme-pro-js-handle bookme-pro-icon bookme-pro-icon-draghandle bookme-pro-margin-right-sm bookme-pro-cursor-move"></i>
                            </div>
                            <div class="bookme-pro-flex-cell" style="width: 100%">
                                <p><b><?php esc_html_e('Radio Button Group', 'bookme_pro') ?></b><a
                                            class="bookme-pro-js-delete glyphicon glyphicon-trash text-danger bookme-pro-margin-left-sm"
                                            href="#"
                                            title="<?php esc_attr_e('Remove field', 'bookme_pro') ?>"></a></p>
                                <div class="row">
                                    <div class="col-md-8">
                                        <div class="input-group">
                                            <input class="bookme-pro-label form-control" type="text" value=""
                                                   placeholder="<?php esc_attr_e('Enter a label', 'bookme_pro') ?>">
                                            <label class="input-group-addon">
                                                <input class="bookme-pro-required" type="checkbox">
                                                <span class="hidden-xs"><?php esc_html_e('Required field', 'bookme_pro') ?></span>
                                                <i class="visible-xs-inline-block glyphicon glyphicon-warning"></i>
                                            </label>
                                        </div>

                                        <ul class="bookme-pro-items bookme-pro-margin-top-sm"></ul>
                                        <button class="btn btn-sm btn-default bookme-pro-cf-item" data-type="radio-buttons-item">
                                            <i class="glyphicon glyphicon-plus"></i> <?php esc_html_e('Radio Button', 'bookme_pro') ?>
                                        </button>
                                    </div>
                                    <div class="col-md-4">
                                        <?php echo $services_html ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <hr>
                    </li>

                    <li data-type="drop-down">
                        <div class="bookme-pro-flexbox">
                            <div class="bookme-pro-flex-cell">
                                <i title="<?php esc_attr_e('Reorder', 'bookme_pro') ?>"
                                   class="bookme-pro-js-handle bookme-pro-icon bookme-pro-icon-draghandle bookme-pro-margin-right-sm bookme-pro-cursor-move"></i>
                            </div>
                            <div class="bookme-pro-flex-cell" style="width: 100%">
                                <p><b><?php esc_html_e('Drop Down', 'bookme_pro') ?></b><a
                                            class="bookme-pro-js-delete glyphicon glyphicon-trash text-danger bookme-pro-margin-left-sm"
                                            href="#"
                                            title="<?php esc_attr_e('Remove field', 'bookme_pro') ?>"></a></p>
                                <div class="row">
                                    <div class="col-md-8">
                                        <div class="input-group">
                                            <input class="bookme-pro-label form-control" type="text" value=""
                                                   placeholder="<?php esc_attr_e('Enter a label', 'bookme_pro') ?>">
                                            <label class="input-group-addon">
                                                <input class="bookme-pro-required" type="checkbox">
                                                <span class="hidden-xs"><?php esc_html_e('Required field', 'bookme_pro') ?></span>
                                                <i class="visible-xs-inline-block glyphicon glyphicon-warning"></i>
                                            </label>
                                        </div>

                                        <ul class="bookme-pro-items bookme-pro-margin-top-sm"></ul>
                                        <button class="btn btn-sm btn-default bookme-pro-cf-item" data-type="drop-down-item">
                                            <i class="glyphicon glyphicon-plus"></i> <?php esc_html_e('Option', 'bookme_pro') ?>
                                        </button>
                                    </div>
                                    <div class="col-md-4">
                                        <?php echo $services_html ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <hr>
                    </li>

                    <li data-type="captcha">
                        <div class="bookme-pro-flexbox">
                            <div class="bookme-pro-flex-cell">
                                <i title="<?php esc_attr_e('Reorder', 'bookme_pro') ?>"
                                   class="bookme-pro-js-handle bookme-pro-icon bookme-pro-icon-draghandle bookme-pro-margin-right-sm bookme-pro-cursor-move"></i>
                            </div>
                            <div class="bookme-pro-flex-cell" style="width: 100%">
                                <p><b><?php esc_html_e('Captcha', 'bookme_pro') ?></b><a
                                            class="bookme-pro-js-delete glyphicon glyphicon-trash text-danger bookme-pro-margin-left-sm"
                                            href="#"
                                            title="<?php esc_attr_e('Remove field', 'bookme_pro') ?>"></a></p>
                                <div class="row">
                                    <div class="col-md-8">
                                        <div class="input-group">
                                            <input class="bookme-pro-label form-control" type="text" value=""
                                                   placeholder="<?php esc_attr_e('Enter a label', 'bookme_pro') ?>">
                                            <label class="input-group-addon">
                                                <input class="bookme-pro-required hidden" type="checkbox">
                                                <input type="checkbox" disabled="disabled" checked="checked">
                                                <span class="hidden-xs"><?php esc_html_e('Required field', 'bookme_pro') ?></span>
                                                <i class="visible-xs-inline-block glyphicon glyphicon-warning"></i>
                                            </label>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <?php echo $services_html ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <hr>
                    </li>

                    <li data-type="checkboxes-item">
                        <div class="bookme-pro-flexbox">
                            <div class="bookme-pro-flex-cell bookme-pro-vertical-middle">
                                <i title="<?php esc_attr_e('Reorder', 'bookme_pro') ?>"
                                   class="bookme-pro-js-handle bookme-pro-icon bookme-pro-icon-draghandle bookme-pro-margin-right-sm bookme-pro-cursor-move"></i>
                            </div>
                            <div class="bookme-pro-flex-cell bookme-pro-vertical-middle" style="width: 100%">
                                <input class="form-control" type="text" value=""
                                       placeholder="<?php esc_attr_e('Enter a label', 'bookme_pro') ?>">
                            </div>
                            <div class="bookme-pro-flex-cell bookme-pro-vertical-middle">
                                <a class="bookme-pro-js-delete glyphicon glyphicon-trash text-danger bookme-pro-margin-left-sm"
                                   href="#"
                                   title="<?php esc_attr_e('Remove item', 'bookme_pro') ?>"></a>
                            </div>
                        </div>
                    </li>

                    <li data-type="radio-buttons-item">
                        <div class="bookme-pro-flexbox">
                            <div class="bookme-pro-flex-cell bookme-pro-vertical-middle">
                                <i title="<?php esc_attr_e('Reorder', 'bookme_pro') ?>"
                                   class="bookme-pro-js-handle bookme-pro-icon bookme-pro-icon-draghandle bookme-pro-margin-right-sm bookme-pro-cursor-move"></i>
                            </div>
                            <div class="bookme-pro-flex-cell bookme-pro-vertical-middle" style="width: 100%">
                                <input class="form-control" type="text" value=""
                                       placeholder="<?php esc_attr_e('Enter a label', 'bookme_pro') ?>">
                            </div>
                            <div class="bookme-pro-flex-cell bookme-pro-vertical-middle">
                                <a class="bookme-pro-js-delete glyphicon glyphicon-trash text-danger bookme-pro-margin-left-sm"
                                   href="#"
                                   title="<?php esc_attr_e('Remove item', 'bookme_pro') ?>"></a>
                            </div>
                        </div>
                    </li>

                    <li data-type="drop-down-item">
                        <div class="bookme-pro-flexbox">
                            <div class="bookme-pro-flex-cell bookme-pro-vertical-middle">
                                <i title="<?php esc_attr_e('Reorder', 'bookme_pro') ?>"
                                   class="bookme-pro-js-handle bookme-pro-icon bookme-pro-icon-draghandle bookme-pro-margin-right-sm bookme-pro-cursor-move"></i>
                            </div>
                            <div class="bookme-pro-flex-cell bookme-pro-vertical-middle" style="width: 100%">
                                <input class="form-control" type="text" value=""
                                       placeholder="<?php esc_attr_e('Enter a label', 'bookme_pro') ?>">
                            </div>
                            <div class="bookme-pro-flex-cell bookme-pro-vertical-middle">
                                <a class="bookme-pro-js-delete glyphicon glyphicon-trash text-danger bookme-pro-margin-left-sm"
                                   href="#"
                                   title="<?php esc_attr_e('Remove item', 'bookme_pro') ?>"></a>
                            </div>
                        </div>
                    </li>
                </ul>
            </div>

            <div class="panel-footer">
                <?php \BookmePro\Lib\Utils\Common::submitButton('ajax-send-custom-fields') ?>
                <?php \BookmePro\Lib\Utils\Common::resetButton() ?>
            </div>
        </div>
    </div>
</div>