<?php if (!defined('ABSPATH')) exit; // Exit if accessed directly ?>
<form method="post" action="<?php echo esc_url(add_query_arg('tab', 'woo_commerce')) ?>"
      id="woocommerce">
    <div class="form-group">
        <h4><?php esc_html_e('Instructions', 'bookme_pro') ?></h4>
        <p>
            <?php _e('You need to install and activate WooCommerce plugin before using the options below.<br/><br/>Once the plugin is activated do the following steps:', 'bookme_pro') ?>
        </p>
        <ol>
            <li><?php esc_html_e('Create a product in WooCommerce that can be placed in cart.', 'bookme_pro') ?></li>
            <li><?php esc_html_e('In the form below enable WooCommerce option.', 'bookme_pro') ?></li>
            <li><?php esc_html_e('Select the product that you created at step 1 in the drop down list of products.', 'bookme_pro') ?></li>
            <li><?php esc_html_e('If needed, edit item data which will be displayed in the cart.', 'bookme_pro') ?></li>
        </ol>
        <p>
            <?php esc_html_e('Note that once you have enabled WooCommerce option in Bookme Pro the built-in payment methods will no longer work. All your customers will be redirected to WooCommerce cart instead of standard payment step.', 'bookme_pro') ?>
        </p>
    </div>

    <?php \BookmePro\Lib\Utils\Common::optionToggle('bookme_pro_wc_enabled', 'WooCommerce') ?>

    <div class="form-group">
        <label for="bookme_pro_wc_product"><?php esc_html_e('Booking product', 'bookme_pro') ?></label>
        <select id="bookme_pro_wc_product" class="form-control" name="bookme_pro_wc_product">
            <?php foreach ($candidates as $item) : ?>
                <option value="<?php esc_attr_e($item['id']) ?>" <?php selected(get_option('bookme_pro_wc_product'), $item['id']) ?>>
                    <?php esc_html_e($item['name']) ?>
                </option>
            <?php endforeach ?>
        </select>
    </div>

    <?php \BookmePro\Lib\Utils\Common::optionText('bookme_pro_l10n_wc_cart_info_name', esc_html__('Cart item data', 'bookme_pro')) ?>
    <div class="form-group">
        <textarea class="form-control" rows="8" name="bookme_pro_l10n_wc_cart_info_value"
                  placeholder="<?php esc_attr_e('Enter a value', 'bookme_pro') ?>"><?php echo esc_textarea(get_option('bookme_pro_l10n_wc_cart_info_value')) ?></textarea><br/>
        <?php $this->render('_woocommerce_codes') ?>
    </div>

    <div class="panel-footer">
        <?php \BookmePro\Lib\Utils\Common::csrf() ?>
        <?php \BookmePro\Lib\Utils\Common::submitButton() ?>
        <?php \BookmePro\Lib\Utils\Common::resetButton() ?>
    </div>
</form>