<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
    $custom_fields = array_filter( json_decode( get_option( 'bookme_pro_custom_fields' ) ), function ( $field ) {
        return ! in_array( $field->type, array( 'captcha', 'text-content' ) );
    } );
?>
<div id="bookme-pro-tinymce-appointment-popup" style="display: none">
    <form id="bookme-pro-shortcode-form">
        <table>
            <tr>
                <th class="bookme-pro-title-col"><?php esc_html_e( 'Titles', 'bookme_pro' ) ?></th>
                <td>
                    <label><input type="checkbox" id="bookme-pro-show-column-titles" /><?php esc_html_e( 'Yes', 'bookme_pro' ) ?></label>
                </td>
            </tr>
            <tr>
                <th class="bookme-pro-title-col"><?php esc_html_e( 'Columns', 'bookme_pro' ) ?></th>
                <td>
                    <label><input type="checkbox" data-column="category" /><?php esc_html_e( 'Category', 'bookme_pro' ) ?></label>
                </td>
            </tr>
            <tr>
                <td></td>
                <td>
                    <label><input type="checkbox" data-column="service" /><?php esc_html_e( 'Service', 'bookme_pro' ) ?></label>
                </td>
            </tr>
            <tr>
                <td></td>
                <td>
                    <label><input type="checkbox" data-column="staff" /><?php esc_html_e( 'Staff', 'bookme_pro' ) ?></label>
                </td>
            </tr>
            <tr>
                <td></td>
                <td>
                    <label><input type="checkbox" data-column="date" /><?php esc_html_e( 'Date', 'bookme_pro' ) ?></label>
                </td>
            </tr>
            <tr>
                <td></td>
                <td>
                    <label><input type="checkbox" data-column="time" /><?php esc_html_e( 'Time', 'bookme_pro' ) ?></label>
                </td>
            </tr>
            <tr>
                <td></td>
                <td>
                    <label><input type="checkbox" data-column="price" /><?php esc_html_e( 'Price', 'bookme_pro' ) ?></label>
                </td>
            </tr>
            <tr>
                <td></td>
                <td>
                    <label><input type="checkbox" data-column="status" /><?php esc_html_e( 'Status', 'bookme_pro' ) ?></label>
                </td>
            </tr>
            <tr>
                <td></td>
                <td>
                    <label><input type="checkbox" data-column="cancel" /><?php esc_html_e( 'Cancel', 'bookme_pro' ) ?></label>
                </td>
            </tr>
            <tr>
                <th colspan="2"><?php esc_html_e( 'Custom Fields', 'bookme_pro' ) ?></th>
            </tr>
            <?php foreach ( $custom_fields as $field ) : ?>
                <tr>
                    <td class="bookme-pro-cf-col"><?php echo esc_html($field->label) ?></td>
                    <td>
                        <label><input type="checkbox" data-custom_field="<?php echo esc_attr($field->id) ?>" /><?php esc_html_e( 'Yes', 'bookme_pro' ) ?></label>
                    </td>
                </tr>
            <?php endforeach ?>
            <tr>
                <td></td>
                <td>
                    <input class="button button-primary" id="bookme-pro-insert-ap-shortcode" type="submit" value="<?php esc_attr_e( 'Insert', 'bookme_pro' ) ?>" />
                </td>
            </tr>
        </table>
    </form>
</div>